• Nvidia publie désormais des RPM pour Tumbleweed !


    Depuis hier, Nvidia publie des RPM de ses pilotes propriétaires pour Tumbleweed. Ces paquets, créés par des contributeurs à openSUSE, ont été conçus pour que les modules fournis soient automatiquement recompilés à chaque mise à jour du noyau.

    Un nouveau dépôt

    Pour installer le dépôt Nvidia :
    Code:
    zypper addrepo --refresh http://download.nvidia.com/opensuse/tumbleweed nvidia-tumbleweed
    Puis un simple :
    Code:
    zypper install-new-recommends
    devrait suffire pour installer le pilote correspondant à votre carte graphique.

    Pour ceux qui utilisaient déjà les pilotes propriétaires via le .run disponible sur le site de Nvidia : pensez à lancer une désinstallation avant de basculer vers les paquets RPM.

    Des problèmes ?

    Longtemps les dépôts Nvidia ont été non accessibles depuis un navigateur web. J'ai l'impression que cela a changé et qu'il est maintenant possible de les explorer via son brouteur préféré. Au cas où cela ne marche pas chez vous et avant de crier au loup, vérifiez avec zypper ou YaST ;-)

    Autre chose : les paquets disponibles sont seulement ceux de la branche la plus récente, actuellement 384.59. La raison est que Tumbleweed a basculé vers libgvlnd, qui n'est pas pris en charge par les pilote legacy des séries 340.xx et 304.xx.

    Enfin : si GDM ne démarre pas, essayez un autre gestionnaire de connexion, par exemple XDM ou LightDM.


    Have a lot of fun!



    Source : https://lists.opensuse.org/opensuse-.../msg00281.html
    Commentaires 23 Commentaires
    1. Avatar de zealucard
      zealucard -
      Pas mal ça... Vous savez si c'est compatible avec Optimus ?
    1. Avatar de arnaudk
      arnaudk -
      On a beau critiquer Nvidia mais je n'ai pas, à ma connaissance, vu de pilotes pour cartes graphiques qui soient aussi performants que sous Windows sous Linux.

      Le pilote Nouveau est à des années lumières. Les rares pilotes propriétaires AMD sont catastrophiques et les pilotes libres sont très en dessous des performances que l'on peut trouver sur carte identique sous Windows. Je ne parle même pas d'Intel, dont les performances sont risibles comparées à ce que l'on trouve sous Windows.

      Pour preuve, il suffit de regarder ce qu'utilisent les gamers sur Steam...
    1. Avatar de Vigen
      Vigen -
      Bonjour,

      Effectivement, de ma modeste expérience, j'ai toujours été plus tranquille avec du Nvidia sous Linux.
      On corrige le tearing facilement, ils sont configurable...Et sous openSUSE on à une version très récente, ce qui n'est pas le cas partout. 384.59 pour Leap quand beaucoup de distributions restent au 375.66.

      Vigen.
    1. Avatar de Antoine
      Antoine -
      Citation Envoyé par arnaudk Voir le message
      On a beau critiquer Nvidia mais je n'ai pas, à ma connaissance, vu de pilotes pour cartes graphiques qui soient aussi performants que sous Windows sous Linux.

      Le pilote Nouveau est à des années lumières. Les rares pilotes propriétaires AMD sont catastrophiques et les pilotes libres sont très en dessous des performances que l'on peut trouver sur carte identique sous Windows. Je ne parle même pas d'Intel, dont les performances sont risibles comparées à ce que l'on trouve sous Windows.
      En résumé :

    1. Avatar de Doctor Who
      Doctor Who -
      Hâte de tester sur mon PC du boulot. Merci pour l'info Antoine
    1. Avatar de jeanluck
      jeanluck -
      Salut, j'aimerais savoir quel est l'intérêt de ces pilotes propriétaires. Apportent-ils une différence significative par rapport aux libres ?

      Et lors d'une MAJ du kernel de Tumbleweed est-ce vraiment sûr qu'il n'y aura aucun problème avec ces pilotes installés ?
    1. Avatar de arnaudk
      arnaudk -
      Citation Envoyé par jeanluck Voir le message
      Salut, j'aimerais savoir quel est l'intérêt de ces pilotes propriétaires. Apportent-ils une différence significative par rapport aux libres ?

      Et lors d'une MAJ du kernel de Tumbleweed est-ce vraiment sûr qu'il n'y aura aucun problème avec ces pilotes installés ?
      Il n'y a pas photo concernant Nvidia : ne pas utiliser les drivers proprios Nvidia lorsqu'on a un chipset Nvidia, c'est comme boire de la soupe avec une fourchette.

      Pour Nvidia, il suffit juste de rajouter le dépôt officiel et lors des mises à jour Kernel, tout est géré automatiquement.

      Par contre en cas d'installation manuelle du driver (avec le setup venant de Nvidia) il faut en effet, de mémoire, relancer l'outil à chaque mise à jour du noyau.

      Pour AMD, il parait que le driver Catalyst est plus performant que le driver libre, mais moins stable également
    1. Avatar de Antoine
      Antoine -
      Citation Envoyé par arnaudk Voir le message
      Pour AMD, il parait que le driver Catalyst est plus performant que le driver libre, mais moins stable également
      Catalyst pour Linux est mort en fait. Il n'est plus mis à jour par AMD. Il requiert une version du serveur X ≤ 1.17 alors que Leap a la version 1.18 et Tumbleweed la version 1.19.
    1. Avatar de Vigen
      Vigen -
      Bonjour,

      Pour appuyé la réponse de Arnaudk, je me permettrais de rajouter qu'il est beaucoup plus simple de règler le problème d'effet "escalier" avec un pilote propriétaire.
      De plus, certains environnement comme Plasma, par exemple, posent problème avec le driver "Nouveau".
      Nouveau à le mérite d'exister, et espérons, qu'au fil des années il se bonifie !!

      Vigen.
    1. Avatar de spourre
      spourre -
      Bonjour,

      En dehors de toute idée de troll, il y a au moins 2 catégories d'utilisations qui ont un réel besoin de performances à ce niveau:

      - les jeux
      - le montage vidéo
      - la virtualisation.

      (Tiens, ça en fait 3 )

      N' étant pas un joueur et ayant l'habitude de ne parler que de ce que je connais, je laisse à l'un d'entre eux donner son avis.
      Par contre, je suis un grand utilisateur de machines virtuelles. Elles me servent à tester ponctuellement une distribution, à avoir une conf dédiéé à un usage, sans polluer l'installation de base ou en compromettre la stabilité (tout n'est pas disponible dans la bonne version, dans un rpm ou un deb).
      Perso, pour diverses raisons, j'utilise le player de vmware . Celui-ci refuse de s'installer s'il ne détecte pas une accélération 3D pour offrir, via une carte graphique "virtuelle", un minimum de performances (il faut être conscient de l'empilage de couche d'abstractions pour partager la carte physique entre l'OS natif et les VM).
      Historiquement sous SuSE depuis 15 ans, J'avais donc l'habitude de compiler le driver propriétaire jusqu'à une paire d'années où cela n'a plus été possible pendant plusieurs mois (je ne jette la pierre à personne mais entre SuSE, GCC, Nvidia et KDE, quelque chose n'était plus compatible).
      c'est à cette occasion que j'ai switché (à mon grand regret alors) vers Debian. Ayant encore un portable 32 bits (SuSE ayant abandonné cette architecture) et 2 Raspberries Pi (B+), j'ai passé tout mon parc en Debian (ou dérivé Xubuntu pour le MAC Intel de mon épouse).

      Je ne sous-estime pas les difficulté pour développer un driver équivalent au produit propriétaire (documentation fermée, firmware..) mais Nouveau (plus si nouveau que cela), ne me permet pas d'utiliser Ma machine, pour Mon besoin. Après, c'est une question de philosophie.
    1. Avatar de Antoine
      Antoine -
      Citation Envoyé par zealucard Voir le message
      Vous savez si c'est compatible avec Optimus ?
      Autant que le .run de nvidia ^^

      Blague à part, je dirais que oui mais pas sans configurer Bumblebee.
    1. Avatar de zealucard
      zealucard -
      Citation Envoyé par Antoine Voir le message
      Autant que le .run de nvidia ^^

      Blague à part, je dirais que oui mais pas sans configurer Bumblebee.
      OK merci, je vais essayer sur mon portable. J'espérais (quel rêveur je suis...) que les pilotes gérés par nvidia inclueraient toutes les fonctionnalités, y compris la gestion Optimus.
    1. Avatar de jeanluck
      jeanluck -
      Salut, je viens de faire les 2 commandes préconisés par Antoine pour installer ces pilotes Nvidia mais après redémarrage je ne vois guère de différence... ai-je manqué quelque chose ?

      Et j'ai ceci dans Configuration du système :

      Fichier joint 3804
    1. Avatar de jeanluck
      jeanluck -
      Entre temps j'ai réussi à installer ces pilotes mais au redémarrage je me retrouve avec une résolution unique : 640x480 !!
      Pas moyen de changer, ni dans Configuration du système > Affichages
      ni en Konsole : la commande "xrandr" me donne : Failed to get size of gamma for output default

      Une idée pour résoudre le souci ?
    1. Avatar de zealucard
      zealucard -
      Citation Envoyé par jeanluck Voir le message
      Entre temps j'ai réussi à installer ces pilotes mais au redémarrage je me retrouve avec une résolution unique : 640x480 !!
      Pas moyen de changer, ni dans Configuration du système > Affichages
      ni en Konsole : la commande "xrandr" me donne : Failed to get size of gamma for output default

      Une idée pour résoudre le souci ?
      Tu peux essayer d'ajouter :
      acpi_osi="Windows 2015"

      ou

      acpi_osi=! acpi_osi="Windows 2009"

      Dans les paramètres de démarrage de grub CMD_LINE. Le plus simple est d'éditer la ligne depuis le menu de démarrage de grub pour tester. Je ne sais plus laquelle fonctionne pour ma gtx 960 sur mon portable. Des je peux regarder je te redirai au besoin.

      EDIT:
      il faut modifier le fichier /etc/default/grub et ajouter les modifications suivantes :

      GRUB_CMDLINE_LINUX_DEFAULT='acpi_osi=! "acpi_osi=Windows 2009" resume=/dev/sda2 splash=silent quiet showopts'


      Puis exécuter la commande 'mkinitrd' pour regénérer le menu GRUB.
    1. Avatar de Doctor Who
      Doctor Who -
      J'ai installé sur mon XPS 15 2017 malheureusement, je suis toujours bloqué sur le chip Intel ...
      Ensuite, rien dans le bios pour forcer l'utilisation de la carte graphique
    1. Avatar de jeanluck
      jeanluck -
      Merci zealucard pour ta réponse... j'ai ouvert un nouveau topic ici https://www.alionet.org/showthread.p...429#post292429

      car ce problème n'a rien à faire ici, dans les news.
    1. Avatar de david
      david -
      Citation Envoyé par Doctor Who Voir le message
      J'ai installé sur mon XPS 15 2017 malheureusement, je suis toujours bloqué sur le chip Intel ...
      Ensuite, rien dans le bios pour forcer l'utilisation de la carte graphique
      moi sur mon pc sur alienware 15R3, sa fonctionne. mais pas à tout les coût.
      parfois le avec lspci -v, j'ai pas la ligne "Kernel driver in use: nvidia"
      le service bumblebee démarre, mais pas test "optirun glxspheres" sa me place un message d'erreur.
      par contre parfois sa marche (j'ai la ligne "Kernel driver in use: nvidia" quand je test lspci -v) avec la commande "optirun glxspheres" sa fonctionne est j'ai pour message :
      Code:
      Polygons in scene: 62464 (61 spheres * 1024 polys/spheres)
      Visual ID of window: 0x20
      Context is Direct
      OpenGL Renderer: GeForce GTX 1060/PCIe/SSE2
      mon seul souci, est que sur mon pc, le port hdmi est branché directement sur la gtx1060 (l'écran est sur intel ou la gtx, je peu swicher sur windows) et j'arrive pas l'utilisé sous opensuse,
      ma solution, que j'ai pour un 2eme écrans, quand je en est besoin, un hub usb avec port hdmi, qui se connecte en tunderbolt 3. qui envoie le signal directement depuis carte graphique intel.

      par contre quand j'utilise linux mint. j'ai aucun souci. par contre sa fonctionne avec primus (pour passer la carte intel à la nvidia,, ou inversement, il faut se déconnecter la session)
      la solution primus semble plus performant que optimus.

      sur portable, sauf équipé de grosse carte graphique nvidia, la carte graphique ne fait que l'accélération 3D, l'affichage est toujours géré par la carte intel.
    1. Avatar de PtitLu
      PtitLu -
      Attention : avec le kernel 4.12.7 dispo dans Tumbleweed, le passage est "douloureux" puisque les drivers nvidia ne fonctionnent plus. Le RPM fourni étant celui pour la version 4.11.8.
    1. Avatar de Antoine
      Antoine -
      Citation Envoyé par PtitLu Voir le message
      Attention : avec le kernel 4.12.7 dispo dans Tumbleweed, le passage est "douloureux" puisque les drivers nvidia ne fonctionnent plus. Le RPM fourni étant celui pour la version 4.11.8.
      Le module noyau fourni par le RPM est censé se recompiler à chaque mise à jour du noyau... après peut-être il y a une incompatibilité entre 4.11 et 4.12 qui nécessite une nouvelle version.
  • Dons / Adhésion


    Dons
    Si vous aimez notre site web et que vous voulez participer financièrement, vous pouvez nous faire un don grâce à PayPal.


    Choisissez votre somme, et cliquez sur le bouton "donate" ci-dessous.



    Adhésion
    Si vous désirez être membre de notre association, vous pouvez aussi adhérer grâce à PayPal.


    Cliquez sur le bouton "PayPal" ci-dessous.

  • SUSECon 2017

     
    SUSEcon 2017
     
     
  • Derniers commentaires d'articles

    manchette

    Compte rendu du salon Paris OpenSource Summit

    Salut ;)

    cool , merci du retour :) Voir le dernier message

    manchette le Hier 16h43
    Guillaume_G

    Compte rendu du salon Paris OpenSource Summit

    C'était vraiment bien d'être nombreux. Cela permet de se relayer et d'aller voir d'autres stands et... Voir le dernier message

    Guillaume_G le Hier 10h41
    pierrotbj

    Compte rendu du salon Paris OpenSource Summit

    Super, merci pour l'info, vous avez fais du bon boulot. Voir le dernier message

    pierrotbj le 12/12/2017 21h05